2 Replies Latest reply: Jul 9, 2012 11:25 PM by EbonyCullen
EbonyCullen Level 1 Level 1 (0 points)

I really want to upgrade my mac, but I have 1 problem I don't know what i'm running (snow leopard etc). I have version  10.5.8.

 

Don't laugh, I have know idea.

 

Reply ASAP pleaseeeeeeeeeeeeee.!!!

 

 

Thank


iMac